#pragma once
#include "Mod.h"

class AutoPot : public Mod {
public:
	int mode = 0;
	float health = 10.f;
	AutoPot() : Mod(_("Auto Pot"), _("Recovers when the player's health is low."), Category::COMBAT) {
		settings.push_back(new Setting{ _("Mode"), &mode, new int(0), new int(0), 1, {_("Flareon") }, true });
		settings.push_back(new Setting{ _("Health"), &health, new float(20.f), new float(0.f), 2, {}, true, 10.f });

		enabled = false;
	}

private:
	virtual auto onWorldTick(Player* _this) -> void override;
	virtual auto getMode() -> std::string;
};
